LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-21-2005, 04:31 PM   #1
OmnipotentOscar
Member
 
Registered: Jan 2005
Distribution: Fedora 5, Debian
Posts: 56

Rep: Reputation: 15
Installing Evolution and missing packages


In an attempt to ditch windows for everything it's worth I'm currently trying to install Evolution to be able to connect to my exchange server. I am running FC3 with most of the development tools. I have downloaded the 6 packages from the NOVELL website and am currently trying to install those... I have learnt from a previous intallation that the following is required to install a package (and build) by hand:

./configure
make
make -install

Is this correct?

If this is correct the compiling still fails as it is expecting to find other missing packages.. I have searched through the original installation DVD but cannot find them. I have also had a look on the yum update but it again cannot find them. How do I find the packages I am missing and where can I get them from?
 
Old 01-21-2005, 04:38 PM   #2
perryub
Member
 
Registered: Apr 2004
Location: Ontario, Canada
Distribution: Ubuntu Hoary
Posts: 45

Rep: Reputation: 15
Oscar,

Sorry for the slew of questions, but you don't mention it in your post...

What version of Evolution are you using? What specifically is the error message? Are you installing as root or are you trying to install as a user? What packages are you missing?

For whatever it's worth, I got into dependency hell with Evolution 2 - every package had several other dependent packages which of course had dependencies of their own. As I had no need (unlike you) for anything other than a vanilla email reader, I just got Thunderbird. I like it more than Evolution version 1.x

Perry
 
Old 01-21-2005, 07:42 PM   #3
OmnipotentOscar
Member
 
Registered: Jan 2005
Distribution: Fedora 5, Debian
Posts: 56

Original Poster
Rep: Reputation: 15
Hey perry.. love the moto lol

Ok... this is the last thing that happens when I attempt to do a ./configure on the gal-2.2.4:

checking for gtk+-2.0 >= 2.2 libgnomeprint-2.2 >= 2.2.0 libgnomeprintui-2.2 >= 2.2.1 libglade-2.0 libgnomeui-2.0 libgnomecanvas-2.0 >= 2.2.0.2 libxml-2.0... Package libgnomeprint-2.2 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libgnomeprint-2.2.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libgnomeprint-2.2' found

configure: error: Library requirements (gtk+-2.0 >= 2.2 libgnomeprint-2.2 >= 2.2.0 libgnomeprintui-2.2 >= 2.2.1 libglade-2.0 libgnomeui-2.0 libgnomecanvas-2.0 >= 2.2.0.2 libxml-2.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
[root@localhost gal-2.2.4]#


btw I am doing this with the route account. I am attempting to install 2.0.3 but more importantly the connector to allow me to connect to the exchange server. From the above I don't know if I'm missing a package or just have the wrong version installed... not quite ofay (sorry about the spelling) with the jargon yet.

Hope this makes sense :S thanks in advance for any help.
 
Old 01-21-2005, 09:10 PM   #4
perryub
Member
 
Registered: Apr 2004
Location: Ontario, Canada
Distribution: Ubuntu Hoary
Posts: 45

Rep: Reputation: 15
oscar,

I've never used Fedora (or red hat) so I don't know what rpm management tool you use, but according to Distrowatch , Evolution 2.02 is included. Your package management tool would probably be your best bet to get this up and running - assuming there isn't some functionality you need in v2.03 that isn't in v2.02

One of two things is happening, 1) you don't have libgnomeprint 2.2 or higher (unlikely). 2) you need to figure out what is happening with pkg-config. I've had problems with pkg-config before and I haven't really figured it out myself.

You can try "pkg-config --list-all" from the command line. It will tell you all about the packages that pkg-config is aware of.

I'm sorry I can't be of more help, but you may try to look up problems with pkg-config

Perry
 
Old 01-22-2005, 04:32 AM   #5
OmnipotentOscar
Member
 
Registered: Jan 2005
Distribution: Fedora 5, Debian
Posts: 56

Original Poster
Rep: Reputation: 15
No that's really useful... I will attempt to delve deeper.

FC3 does have Evo 2.0.2 but unfortunately this does not include the connector for exchange.... I will keep playing

After all linux is all about hacking
 
Old 01-22-2005, 10:39 AM   #6
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 75
You need to use yum or apt to install your packages, this automatically resolves dependencies. To install evolution using yum, you would do
#yum --install evolution
using apt, you would do
#apt install evolution

yum is installed by default and apt is available from freshrpms.
 
Old 01-22-2005, 12:56 PM   #7
OmnipotentOscar
Member
 
Registered: Jan 2005
Distribution: Fedora 5, Debian
Posts: 56

Original Poster
Rep: Reputation: 15
Oh ok... I will give that a go.

How do you configure yum to tell it where to look for the packages? I.e. the downloaded update of evolution that I have?
 
Old 01-22-2005, 01:22 PM   #8
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 75
if you search google for "yum+configuration", I am sure you'll get some results on how to configure yum.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Evolution - Exchange - Missing Emails Xhalman Linux - Software 0 09-12-2005 09:21 PM
evolution FC4 shortcut bar missing jtmillard Linux - Software 0 07-22-2005 12:38 AM
evolution-2.2.1.1 missing libgnome.so EAST&WEST Linux - Software 0 06-08-2005 09:34 AM
Evolution email conduit for gpilot missing distortedstar Linux - Laptop and Netbook 0 02-29-2004 05:18 PM
help installing ANYTHING... configure doesn't work bc I am missing lots of packages Avatar Linux - Software 30 12-08-2003 10:43 PM


All times are GMT -5. The time now is 12:04 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration